Bug 1527393 (CVE-2018-7492)

Summary: CVE-2018-7492 kernel: Null pointer dereference in net/rds/rdma.c:__rds_rdma_map() allowing local attackers to cause denial-of-service
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: airlied, ajax, aquini, bhu, blc, bskeggs, dhoward, ewk, fhrbata, gscott, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, linville, matt, mchehab, mcressma, mguzik, mjg59, mlangsdo, nmurray, rt-maint, rvrbovsk, sbalasub, skozina, slawomir, steved, vdronov, williams, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference was found in net/rds/rdma.c:__rds_rdma_map() function in the Linux kernel allowing local attackers to cause a system panic and a denial-of-service.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1527395, 1527399, 1549223, 1549224    
Bug Blocks: 1527397    

Description Adam Mariš 2017-12-19 11:02:21 UTC
A NULL pointer dereference was found in net/rds/rdma.c:__rds_rdma_map() function in the Linux kernel allowing local attackers to cause a system panic and a denial-of-service.

References:

https://patchwork.kernel.org/patch/10096441/

https://xorl.wordpress.com/2017/12/18/linux-kernel-rdma-null-pointer-dereference/

http://seclists.org/oss-sec/2018/q1/191

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=f3069c6d33f6ae63a1668737bc78aaaa51bff7ca

Comment 1 Adam Mariš 2017-12-19 11:03:31 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1527395]

Comment 3 Justin M. Forbes 2017-12-19 15:29:08 UTC
This was fixed in the kernel-4.14.7 update for Fedora.

Comment 7 Vladis Dronov 2018-02-26 18:24:04 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future Linux kernel updates for the respective releases may address this issue.

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 7, its real-time kernel, Red Hat Enterprise Linux 7 for ARM 64 and Red Hat Enterprise Linux 7 for Power 9 LE, as a code with the flaw is not built and shipped with the products listed.